<template>
    <section>
      
    
    <div class="row" v-if="loadingStatistic==false">
     
      <div class="col-md-3 col-lg-4" v-for="x in aryNews">

            <div class="card border-primary">
              <div class="card-header bg-light">
                    <h5>{{x.title}}</h5>
                  </div>
                <div class="card-body" @click="goToSource(x)" style="cursor:pointer;">
                   <img :src="x.urlToImage" class="img-fluid" >
                  <div class="card-text">
                    {{x.description}}
                  </div>
                  <div><label>{{x.source.name}}</label></div>
                  <div><label>วันที่ :</label>{{x.publishedAt}}</div>
                  
                </div>
          </div>


        </div>
      </div>
    
      <div v-if="loadingStatistic">
        <div class="text-center">
 <div class="spinner-border" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
              </div>
      </div>
    </section>
    
</template>
<script>
import { StatsCard, ChartCard,PaperTable } from "@/components/index";
import axios from 'axios';
import Highcharts, { arrayMax } from 'highcharts';
import {Chart} from 'highcharts-vue';
import { BModal, VBModal } from 'bootstrap-vue'
export default {
  components: {
      StatsCard,
    ChartCard,
    PaperTable,
    highcharts : Chart,
    'b-modal':BModal
  },
  data(){
    return {
        statsCards:[],
        statsWorlds:{},
        aryNews:[],
        loadingStatistic:false,
        urlHost:"http://contents.i8app.net/",
       tableCovidColumnSortOrder:"desc",
       tableCovidcolumnSearch : "confirmed",
      
       totalRows:0
    }
  },
  computed:{
    orderByProvinceTable:function(){
      return _.orderBy(this.aryNews,this.tableCovidcolumnSearch,this.tableCovidColumnSortOrder)
    }
  },
  methods :{
    sortTable:function(columnName){
      if(columnName!= this.tableCovidcolumnSearch){
        this.tableCovidcolumnSearch= columnName
        this.tableCovidColumnSortOrder="desc"
      }
      else{
         this.tableCovidColumnSortOrder=(this.tableCovidColumnSortOrder=="asc" ? "desc":"asc")
      }

    },
    goToSource:function(data){
        window.open(data.url)
    },
    getNewsUpdate:function(){
          this.loadingStatistic=true
            let urlGet ="http://newsapi.org/v2/top-headlines?country=th&category=health&apiKey=01a9b6804b8d423996cf1f60a1dd92f7"
            axios
              .get(urlGet)
              .then(response => {
                  this.loadingStatistic=false
                  if(response.data.status=="ok"){
                    this.totalRows= response.data.totalResults
              var monthNamesThai = ["มกราคม","กุมภาพันธ์","มีนาคม","เมษายน","พฤษภาคม","มิถุนายน",
"กรกฎาคม","สิงหาคม","กันยายน","ตุลาคม","พฤษจิกายน","ธันวาคม"];
                    this.aryNews=response.data.articles
                    for(let k in  this.aryNews){

                            var d1 = new Date(this.aryNews[k].publishedAt);
                            this.aryNews[k].publishedAt= d1.getDate()+" "+monthNamesThai[(d1.getMonth())]+d1.getFullYear() +" "+d1.getHours()+":"+d1.getMinutes();

                    }
                  
                    
                  }
                
              })
              .catch(error => {
                 this.loadingStatistic=false
                  console.log(error)

              })
    }
  },
  mounted(){
    this.getNewsUpdate()
  }
};
</script>
<style>
</style>
